DUMP_CIS(8)

NAME
dump_cis - display PCMCIA Card Information Structures

SYNOPSIS
dump_cis [-f] [-v] [-i infile ]

DESCRIPTION
Dump_cis retrieves and parses the Card Information Structures for inserted PCMCIA devices, or optionally, parses CIS information from a file.

The pack_cis utility can parse a subset of the non-verbose output of dump_cis, so it is fairly easy to use dump_cis output as templates for pack_cis. If a replacement CIS has been loaded for a card, dump_cis will display the replacement rather than the actual data on the card.

OPTIONS

-f  Force: attempt to decode any available CIS information even if the overall CIS organization appears to be invalid.

-v  Verbose output: display raw hex data for each tuple, and provide a more complete dump of some tuple types.

-i infile
    Read packed CIS data from a file (as created by pack_cis) instead of reading from active cards.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
pack_cis(8).